Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1054267 - Downgrade UberFire version of JGit in order to align with Integration BOM
Summary: Downgrade UberFire version of JGit in order to align with Integration BOM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ER1
: 6.0.1
Assignee: Alexandre Porcelli
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-16 14:41 UTC by Alexandre Porcelli
Modified: 2014-08-06 19:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 19:58:26 UTC
Type: Task


Attachments (Terms of Use)

Description Alexandre Porcelli 2014-01-16 14:41:08 UTC
Description of problem:

UberFire is using the latest release of JGit, but integration bom defines an old version, what makes kie-wb and kie-drools-wb to use the oldest one.

The less risk option right now is to downgrade UF as all QA test were executed using the old jgit version.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Lukáš Petrovický 2014-01-16 15:08:09 UTC
ACKing, as long as the version actually shipped in the product doesn't change.

Comment 3 Edson Tirelli 2014-01-16 16:46:59 UTC
After discussing with Porcelli, it seems the product is shipped with version 2 already, and the only side-effect this is that on an edge-case (re-cloning a previously cloned repository), the operation will fail with an error.

Given the low impact of the ticket, I am proposing it for 6.0.1, unless a new build of 6.0.0 is done after CR1, in which case we can decide to move this back to 6.0.0.

Comment 4 Alexandre Porcelli 2014-01-16 16:52:06 UTC
Fix pushe dto master and product branch of uberfire repo

(master) http://github.com/droolsjbpm/uberfire/commit/74ac67a0c
(0.3.x) http://github.com/droolsjbpm/uberfire/commit/0ac044ced

Comment 5 Lukáš Petrovický 2014-02-13 22:18:29 UTC
I confirm that the fix is indeed in the codebase.


Note You need to log in before you can comment on or make changes to this bug.